# Stored Payment Methods Stored Payment Methods ## Creates a new stored payment method record that does not already exist. - [POST /storedPaymentMethods/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/createstoredpaymentmethod.md): This method will auto-generate an ID and create a new stored payment method. If an ID is specified for the stored payment method, an error will be thrown. ## Execute Batch Operations - [POST /storedPaymentMethods/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified contact_id - [GET /storedPaymentMethods/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/listmethodsbycontactid.md): Returns a list of records with the specified contact_id ## Gets all of the stored payment methods in the system for a given contact. - [GET /storedPaymentMethods/{tenantId}/portal/contact/{portalContactId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/liststoredpaymentmethodsforportal.md): This method will scan all stored payment methods and and return them to the caller for a given contact. ## Creates a new stored payment method record that does not already exist. - [POST /storedPaymentMethods/{tenantId}/portal/contact/{portalContactId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/createstoredpaymentmethodforportal.md): This method will auto-generate an ID and create a new stored payment method. If an ID is specified for the stored payment method, an error will be thrown. ## Returns a stored payment method from the system by its ID. - [DELETE /storedPaymentMethods/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/deletestoredpaymentmethodforportal.md): This method will delete a stored payment method with the specified ID. ## Returns a stored payment method from the system by its ID for a given contact. - [GET /storedPaymentMethods/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/getstoredpaymentmethodforportal.md): This method will look up a stored payment method by the specified ID and return it back (for a portal contact) ## Updates a stored payment method with the specified ID. - [PUT /storedPaymentMethods/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/updatestoredpaymentmethodforportal.md): This method will update an existing stored payment method with the specified ID. ## Returns a stored payment method from the system by its ID. - [DELETE /storedPaymentMethods/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/deletestoredpaymentmethod.md): This method will delete a stored payment method with the specified ID. ## Returns a stored payment method from the system by its ID. - [GET /storedPaymentMethods/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/getstoredpaymentmethod.md): This method will look up a stored payment method by the specified ID and return it back. ## Partially updates a stored payment method with the specified ID. - [PATCH /storedPaymentMethods/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/patchstoredpaymentmethod.md): This method will patch an existing stored payment method with the specified ID, using the HTTP PATCH specification. ## Updates a stored payment method with the specified ID. - [PUT /storedPaymentMethods/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/stored-payment-methods/updatestoredpaymentmethod.md): This method will update an existing stored payment method with the specified ID.